<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net5.0</TargetFramework>

    <IsPackable>false</IsPackable>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.EntityFrameworkCore.InMemory" Version="5.0.1" />
    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="16.7.1" />
    <PackageReference Include="MSTest.TestAdapter" Version="2.1.2" />
    <PackageReference Include="MSTest.TestFramework" Version="2.1.2" />
    <PackageReference Include="coverlet.collector" Version="1.3.0">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Core\" />
    <Folder Include="Data\" />
    <Folder Include="Infrastructure\" />
    <Folder Include="WebApi\" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\LigovkaBudget.Core\LigovkaBudget.Core.csproj" />
    <ProjectReference Include="..\LigovkaBudget.Data\LigovkaBudget.Data.csproj" />
    <ProjectReference Include="..\LigovkaBudget.Infrastructure\LigovkaBudget.Infrastructure.csproj" />
    <ProjectReference Include="..\LigovkaBudget.WebApi\LigovkaBudget.WebApi.csproj" />
  </ItemGroup>

</Project>
